Page MenuHomePhabricator

Special:ContentTranslationStats CPU usage
Closed, ResolvedPublic

Description

Special:CXstats often freezes my browser for considerable times. Webpagetest, when it manages to finish loading the page, shows a weird CPU usage, which grows linearly without apparent end.
http://www.webpagetest.org/video/compare.php?tests=150922_9T_T0R-r%3A2-c%3A1&thumbSize=200&ival=1000&end=visual

Event Timeline

Nemo_bis created this task.Sep 22 2015, 1:46 PM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a project: ContentTranslation.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 22 2015, 1:46 PM

The new graphs we added might be the reason. It may be possible to avoid firing all graph rendering at once, Perhaps T113335 can give a solution that address this as well.

Change 240339 had a related patch set uploaded (by Santhosh):
CXStas: Club the cumulative and trend under tabs

https://gerrit.wikimedia.org/r/240339

santhosh set Security to None.Sep 23 2015, 12:14 PM
santhosh added a project: LE-CX6-Sprint break.
santhosh moved this task from Backlog to In Review on the LE-CX6-Sprint break board.
santhosh triaged this task as Normal priority.Sep 24 2015, 6:27 AM

Change 240339 merged by jenkins-bot:
CXStats: Club the cumulative and trend under tabs

https://gerrit.wikimedia.org/r/240339

santhosh moved this task from In Review to QA on the LE-CX6-Sprint break board.Sep 28 2015, 3:42 AM
Arrbee moved this task from QA to Done on the LE-CX6-Sprint break board.Sep 30 2015, 5:56 AM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Oct 1 2015, 4:06 PM
Amire80 added a subscriber: Amire80.Oct 2 2015, 7:11 AM

Can this be closed?

I could never reproduce this in the first place, so I can't verify that it's fixed.

santhosh closed this task as Resolved.Oct 6 2015, 9:30 AM